Bug 1009726 - Samba vfs plug-in log file in /var/log/samba/<logfile> getting overwritten after it reaches to maximum size
Samba vfs plug-in log file in /var/log/samba/<logfile> getting overwritten af...
Status: CLOSED NOTABUG
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: samba (Show other bugs)
2.1
Unspecified Unspecified
unspecified Severity high
: ---
: RHGS 2.1.2
Assigned To: Poornima G
Lalatendu Mohanty
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-18 22:03 EDT by Lalatendu Mohanty
Modified: 2015-05-13 12:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-16 04:40:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lalatendu Mohanty 2013-09-18 22:03:27 EDT
Description of problem:

Samba vfs plug-in log file in /var/log/samba/glusterfs-<volname>.log getting overwritten after it reaches to certain size (may be 100MB) where it should have been archived.

Version-Release number of selected component (if applicable):

rpm -qa | grep 'glusterfs\|samba'
samba-doc-3.6.9-160.3.el6rhs.x86_64
glusterfs-fuse-3.4.0.33rhs-1.el6rhs.x86_64
samba-winbind-3.6.9-160.3.el6rhs.x86_64
samba-glusterfs-3.6.9-160.3.el6rhs.x86_64
samba-swat-3.6.9-160.3.el6rhs.x86_64
samba-winbind-krb5-locator-3.6.9-160.3.el6rhs.x86_64
samba-domainjoin-gui-3.6.9-160.3.el6rhs.x86_64
glusterfs-libs-3.4.0.33rhs-1.el6rhs.x86_64
glusterfs-geo-replication-3.4.0.33rhs-1.el6rhs.x86_64
glusterfs-server-3.4.0.33rhs-1.el6rhs.x86_64
glusterfs-api-3.4.0.33rhs-1.el6rhs.x86_64
samba-common-3.6.9-160.3.el6rhs.x86_64
samba-3.6.9-160.3.el6rhs.x86_64
samba-client-3.6.9-160.3.el6rhs.x86_64
samba-winbind-devel-3.6.9-160.3.el6rhs.x86_64
glusterfs-3.4.0.33rhs-1.el6rhs.x86_64
samba4-libs-4.0.0-55.el6.rc4.x86_64
glusterfs-rdma-3.4.0.33rhs-1.el6rhs.x86_64
samba-winbind-clients-3.6.9-160.3.el6rhs.x86_64


How reproducible:

Always

Steps to Reproduce:
1. 
2.
3.

Actual results:

As mentioned the log file is getting overwritten and the older logs are lost. The size of the log file becomes 0KB and again grows as the logging happens.

Expected results:

We should be renaming the old log file to .old or something if it reaches to limit of maximum size

Additional info:
Comment 3 Poornima G 2013-10-15 01:27:38 EDT
The logrotate policy ("max log size") specified in smb.conf applies to the log files: log.<client addr>, log.smbd 

/var/log/samba/glusterfs-<volname>.log is not affected by the "max log size" entry in smb.conf and gluster also doesn't have any logrotate policy for /var/log/samba/glusterfs-<volname>.log.

But apart from "max log size" configuration, samba by default has a weekly logrotate policy, where all the files  in /var/log/samba/* are rotated(moved) to /var/log/samba/old/*.

In this case, it could be that /var/log/samba/glusterfs-<volname>.log was moved to /var/log/samba/old/* as a part of samba weekly logrotate, and hence a 0 sized /var/log/samba/glusterfs-<volname>.log was created.
Comment 4 Lalatendu Mohanty 2013-10-16 04:40:12 EDT
Agree with Poornima's findings, hence closing the bug as not a defect.

Note You need to log in before you can comment on or make changes to this bug.